Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class OWLSpeciesMessage

    java.lang.Object
      org.mindswap.pellet.jena.OWLSpeciesMessage

All Implemented Interfaces:
  java.lang.Comparable

    public class OWLSpeciesMessage

extends java.lang.Object
implements java.lang.Comparable

Create a message for OWL Species report. The functionality of this class is similar to printf in C. It has a format string and an array of arguments that will be printed inside the message. format strings look like
"This is the first argument %1% and this is the second %2%"
where %n% will be replaced by the nth item in the array. The reason arguments are printed late is to support different formats, e.g. terms in abstract syntax format, HTML output, etc. The format of the output is determined by the ATermRenderer passed to the print function.

Author:
  Evren Sirin

Constructor Summary
`OWLSpeciesMessage(java.lang.String header, java.lang.String msg, aterm.ATermAppl[] terms)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object other)`
`int` | `hashCode()`
`void` | `print(ATermRenderer renderer)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLSpeciesMessage

    public OWLSpeciesMessage(java.lang.String header,
                             java.lang.String msg,
                             aterm.ATermAppl[] terms)

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### print

    public void print(ATermRenderer renderer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.